Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.events.generic
Interface GenericTrackingControl

All Superinterfaces:
  com.bea.control.Control, weblogic.jws.control.Control, Serializable

public interface GenericTrackingControl
extends weblogic.jws.control.Control

Control from which tracking events may be configured, generated, and dispatched to the event service. A tracked event is one which may be persisted to the Portal BT_EVENT database tables.
Once you have an Event object, you may set its attributes: `event.setAttribute(String theKey, Serializable theValue);`
Refer to the Portal documentation for details on how to configure the Event Service and Behavior Tracking.
The eventType is set as a property on the control. Additional properties are the XML persistence information for this event. See the property editor descriptions for more information.
This control is NOT to be used with JWS, as it requires the HttpServletRequest object, which is unavailable from a JWS.
Control properties:

- eventType The type of event, eg "FooEvent", or "MyShoppingEvent".
- xmlNamespace XML namespace for the schema of the persisted event data, eg: "http://www.bea.com/servers/p13n/xsd/tracking/session-login/1.0.2".
- xsdFile File name of the XSD for the persistec event data schema, eg: "tracking-session-login-1_0_2.xsd".
- schemaKeys List of comma separated Strings that represent the keys of the schema, eg: "application, date, item"

See Also:
  `Event`, `EventService`, `TrackingEvent`

Method Summary
`void` | `dispatch(HttpServletRequest request)` Dispatch a TrackingEvent.

Method Detail

### dispatch

    public void dispatch(HttpServletRequest request)
                  throws P13nControlException

  Dispatch a TrackingEvent. The type of event is specified on the control property.

  Parameters:
    `request` - The HttpServletRequest from the Page Group
  Throws:
    `P13nControlException` - if request is null, or if errors encountered creating and dispatching event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved